> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get a unit detail by ID.

GET https://api.propexo.com/v1/units/details/{unit_detail_id}

Note: "Unit Details" are not units themselves, but rather details regarding application/listing information on a unit. This is a separate concept from generic units data, and is required to be enabled as its own model. It is uncommon for customers to require this data. Please contact support with questions

Reference: https://docs.propexo.com/api-reference/real-page-registered-vendor/units/get-a-unit-detail-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `unit_detail_id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (V1UnitsDetailsUnitDetailIdGetOutputResults, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### V1UnitsDetailsUnitDetailIdGetOutputResults

- `id` (string, required) — The Propexo unique identifier for the unit
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | Prospect Management ODE | GetUnitsByProperty | | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | Prospect Management ODE | GetUnitsByProperty | | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for REALPAGE
- `x_building_id` (string, required, nullable) — The external ID of the building (not necessarily the property) from the integration vendor | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `x_floor_plan_id` (string, required, nullable) — The external ID of the floor plan from the integration vendor | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `building_number` (string, required, nullable) — The building number associated with the unit | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `make_ready_date` (string, required, nullable) — The make ready date of the unit | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty |
- `made_ready_date` (string, required, nullable) — The made ready date of the unit | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `reserved_until_date` (string, required, nullable) — The date the unit is reserved until | Interface | Method | |---|---| | Prospect Management ODE | GetUnitsByProperty | | Pricing and Availability ODE | GetUnitsByProperty |
- `floor_plan_market_rent_in_cents` (double, required, nullable) — The market rent cost of the floor plan, in cents | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `unit_market_rent_in_cents` (double, required, nullable) — The market rent cost of the unit, in cents | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `base_rent_in_cents` (double, required, nullable) — The base rent cost of the unit, in cents | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `unit_number` (string, required, nullable) — The unit number | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `description` (string, required, nullable) — Description of the unit | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `floor_plan_name` (string, required, nullable) — The floor plan name associated with the unit | Interface | Method | |---|---| | Units ODE | List |
- `accessible_hearing` (boolean, required, nullable) — Whether or not the unit is accessible for the hearing impaired | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `accessible_mobility` (boolean, required, nullable) — Whether or not the unit is accessible for the mobility impaired | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `accessible_vision` (boolean, required, nullable) — Whether or not the unit is accessible for the vision impaired | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `is_vacant` (boolean, required, nullable) — Whether the unit is vacant | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `is_available` (boolean, required, nullable) — Whether the unit is available | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `is_reserved` (boolean, required, nullable) — Whether the unit is reserved | Interface | Method | |---|---| | Prospect Management ODE | GetUnitsByProperty | | Pricing and Availability ODE | GetUnitsByProperty |
- `available_date` (string, required, nullable) — The date that the unit becomes available | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `notes` (string, required, nullable) — Notes associated with the unit | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `gross_square_feet` (integer, required) — The gross square footage of the unit | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `rentable_square_feet` (integer, required) — The rentable square footage of the unit | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `city` (string, required, nullable) — The city associated with the unit | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `country` (string, required, nullable) — The country associated with the unit | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `state` (string, required, nullable) — The state associated with the unit | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `address_1` (string, required, nullable) — The first address line associated with the unit | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `address_2` (string, required, nullable) — The second address line associated with the unit | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `zip` (string, required, nullable) — The zip code associated with the unit | Interface | Method | |---|---| | Pricing and Availability ODE | GetUnitsByProperty | | Units ODE | List |
- `maximum_potential_lease_term` (string, required, nullable) — The maximum potential lease term of the unit | Interface | Method | |---|---| | Units ODE | List |
- `minimum_potential_lease_term` (string, required, nullable) — The minimum potential lease term of the unit | Interface | Method | |---|---| | Units ODE | List |
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `REALPAGE`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `property_id` (string, required) — The Propexo unique identifier for the property

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_id": "18",
    "x_property_id": "5479123",
    "x_location_id": null,
    "x_building_id": "2",
    "x_floor_plan_id": "1",
    "building_number": "2",
    "make_ready_date": "2026-01-30T15:22:00.000Z",
    "made_ready_date": "2026-01-30T15:22:00.000Z",
    "reserved_until_date": "2024-06-30T00:00:00Z",
    "floor_plan_market_rent_in_cents": 290300,
    "unit_market_rent_in_cents": 150000,
    "base_rent_in_cents": 303800,
    "unit_number": "158",
    "description": "2 bed 2 bath luxury unit",
    "floor_plan_name": "2 bed 2 bath",
    "accessible_hearing": true,
    "accessible_mobility": true,
    "accessible_vision": true,
    "is_vacant": true,
    "is_available": true,
    "is_reserved": true,
    "available_date": "2026-03-04T00:00:00.000Z",
    "notes": "One of the greatest units we've ever seen",
    "gross_square_feet": 689,
    "rentable_square_feet": 689,
    "city": "Milpitas",
    "country": "US",
    "state": "CA",
    "address_1": "501 Murphy Ranch Rd Apt 158",
    "address_2": "string",
    "zip": "95035-7937",
    "maximum_potential_lease_term": "string",
    "minimum_potential_lease_term": "string",
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "REALPAGE",
    "property_id": "clwi5xiix000008l6ctdgafyh"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/units/details/unit_detail_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/units/details/unit_detail_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/units/details/unit_detail_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/units/details/unit_detail_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/units/details/unit_detail_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/units/details/unit_detail_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/units/details/unit_detail_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/units/details/unit_detail_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```